Clutter::BinLayout Class Reference
Inheritance diagram for Clutter::BinLayout:
[legend]
Collaboration diagram for Clutter::BinLayout:
[legend]

List of all members.

## Public Member Functions

virtual | ~BinLayout ()
ClutterBinLayout* | gobj ()
| Provides access to the underlying C GObject.
const ClutterBinLayout* | gobj () const
| Provides access to the underlying C GObject.
ClutterBinLayout* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_alignment (const Glib::RefPtr< Actor >& child, BinAlignment x_align, BinAlignment y_align)
| Sets the horizontal and vertical alignment policies to be applied to a child of self.
void | get_alignment (const Glib::RefPtr< Actor >& child, BinAlignment& x_align, BinAlignment& y_align) const
| Retrieves the horizontal and vertical alignment policies for a child of self.
void | add (const Glib::RefPtr< Actor >& child, BinAlignment x_align, BinAlignment y_align)
| Adds a Clutter::Actor to the container using self and sets the alignment policies for it.
Glib::PropertyProxy< BinAlignment > | property_x_align ()
| Default horizontal alignment for the actors inside the layout manager.
Glib::PropertyProxy_ReadOnly < BinAlignment > | property_x_align () const
| Default horizontal alignment for the actors inside the layout manager.
Glib::PropertyProxy< BinAlignment > | property_y_align ()
| Default vertical alignment for the actors inside the layout manager.
Glib::PropertyProxy_ReadOnly < BinAlignment > | property_y_align () const
| Default vertical alignment for the actors inside the layout manager.

## Static Public Member Functions

static Glib::RefPtr< BinLayout > | create (BinAlignment x_align, BinAlignment y_align)

## Protected Member Functions

| BinLayout (BinAlignment x_align, BinAlignment y_align)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Clutter::BinLayout > | wrap (ClutterBinLayout* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::BinLayout::~BinLayout | ( |  | ) | `[virtual]`

Clutter::BinLayout::BinLayout | ( | BinAlignment | x_align,
|  | BinAlignment | y_align
| ) |  | `[explicit, protected]`

## Member Function Documentation

void Clutter::BinLayout::add | ( | const Glib::RefPtr< Actor >& | child,
|  | BinAlignment | x_align,
|  | BinAlignment | y_align
| ) |  |

Adds a Clutter::Actor to the container using self and sets the alignment policies for it.

This function is equivalent to Clutter::Container::add_actor() and Clutter::LayoutManager::child_set_property() but it does not require a pointer to the Clutter::Container associated to the Clutter::BinLayout

Since cluttermm 1.2:

Parameters:

  child | A Clutter::Actor.
  x_align | Horizontal alignment policy for child.
  y_align | Vertical alignment policy for child.

static Glib::RefPtr<BinLayout> Clutter::BinLayout::create | ( | BinAlignment | x_align,
|  | BinAlignment | y_align
| ) |  | `[static]`

void Clutter::BinLayout::get_alignment | ( | const Glib::RefPtr< Actor >& | child,
|  | BinAlignment& | x_align,
|  | BinAlignment& | y_align
| ) |  | const

Retrieves the horizontal and vertical alignment policies for a child of self.

If child is `0` the default alignment policies will be returned instead

Since cluttermm 1.2:

Parameters:

  child | A child of container.
  x_align | Return location for the horizontal alignment policy.
  y_align | Return location for the vertical alignment policy.

ClutterBinLayout* Clutter::BinLayout::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::LayoutManager.

const ClutterBinLayout* Clutter::BinLayout::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::LayoutManager.

ClutterBinLayout* Clutter::BinLayout::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::LayoutManager.

Glib::PropertyProxy<BinAlignment> Clutter::BinLayout::property_x_align | ( |  | ) |

Default horizontal alignment for the actors inside the layout manager.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<BinAlignment> Clutter::BinLayout::property_x_align | ( |  | ) | const

Default horizontal alignment for the actors inside the layout manager.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<BinAlignment> Clutter::BinLayout::property_y_align | ( |  | ) |

Default vertical alignment for the actors inside the layout manager.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<BinAlignment> Clutter::BinLayout::property_y_align | ( |  | ) | const

Default vertical alignment for the actors inside the layout manager.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::BinLayout::set_alignment | ( | const Glib::RefPtr< Actor >& | child,
|  | BinAlignment | x_align,
|  | BinAlignment | y_align
| ) |  |

Sets the horizontal and vertical alignment policies to be applied to a child of self.

If child is `0` then the x_align and y_align values will be set as the default alignment policies

Since cluttermm 1.2:

Parameters:

  child | A child of container.
  x_align | The horizontal alignment policy to be used for the child inside container.
  y_align | The vertical aligment policy to be used on the child inside container.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::BinLayout > wrap | ( | ClutterBinLayout * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/bin-layout.h